﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Receiving.TruckReceiving
@model Toyota.Common.Web.MVC.ModelHolder

<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Plant - Dock";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            <div style="float:left; width:50px; margin-right:5px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PLANT";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DOCK_CD.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
            </div>

            <div style="float:left; width:3px; margin-right:5px;">
                -
            </div>

            <div style="float:left; width:80px;">
                @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "DockOption";
                    gridLookup.Width = Unit.Pixel(40);

                    gridLookup.GridProperties.KeyFieldName = "DOCK_CD";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "TruckReceiving", Action = "DockLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(145);

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_CD";
                        column.FieldName = "DOCK_CD";
                        column.Caption = "Code";
                        column.Width = 40;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_NM";
                        column.FieldName = "DOCK_NM";
                        column.Caption = "Name";
                        column.Width = 300;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["DockLookup"]).GetHtml()
            </div>
                </div>
</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td width="100">&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Route";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.Name = "lblRoute";
                label.ControlStyle.CssClass = "Label";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()

            @*@Html.Common().DevExpress().GridLookup(
                    gridLookup =>
                    {
                        gridLookup.Name = "RouteOption";
                        gridLookup.GridProperties.KeyFieldName = "ROUTE";
                        gridLookup.GridProperties.CallbackRouteValues = new { Controller = "TruckReceiving", Action = "RouteLookup" };
                        gridLookup.GridProperties.Width = Unit.Pixel(55);
                        gridLookup.GridProperties.Height = Unit.Pixel(200);
                        gridLookup.GridProperties.CommandColumn.Width = Unit.Pixel(15);
                        gridLookup.Width = 78;
                        //gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnBeginDockLookupCallbackGrid";

                        gridLookup.GridProperties.CommandColumn.Visible = true;
                        gridLookup.ReadOnly = true;
                        gridLookup.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                        gridLookup.GridProperties.CommandColumn.Visible = true;
                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "ROUTE";
                            column.FieldName = "ROUTE";
                            column.Caption = "Route";
                            column.Width = Unit.Pixel(40);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });
                    }).Bind(ViewData["RouteLookup"]).GetHtml()*@

        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Arrival";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td width="180">&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Start Rcv Check";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td width="123">&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Departure";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Delivery No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DELIVERY_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(143);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 13;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                            getHeader();
                        }
                    }
                        ";
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Rit";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.Name = "lblRit";
                label.ControlStyle.CssClass = "Label";

                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Plan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblArrivalPlan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Plan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblCheckPlan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Plan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblDeparturePlan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
    </tr>
    
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Truck Station";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.Name = "lblTruckStation";
                label.ControlStyle.CssClass = "Label";

                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Rcv Status (All)";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            <table border="0">
                <tr>
                    <td>
                        <div id="circle" class="circle">&nbsp;</div>
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Name = "lblPercentage";
                            label.ControlStyle.CssClass = "Label";
                            label.Text = "0%";
                            label.Style.Add("padding-right", "10px");
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>

        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Actual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblArrivalActual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Actual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblCheckActual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Actual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblDepartureActual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
        </td>
    </tr>
    
</table>
@*<table border="0">
        <tr>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Arrival";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>&nbsp;</td>
            <td width="180">&nbsp;</td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Start Rcv Check";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>&nbsp;</td>
            <td width="123">&nbsp;</td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Departure";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Plan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblArrivalPlan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Plan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblCheckPlan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Plan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblDeparturePlan";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Actual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblArrivalActual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Actual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblCheckActual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Actual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Name = "lblDepartureActual";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
        </tr>
    </table>
    *@
    <div style="float:right;">
        <table border="0">
            <tr>
                <td>
                    @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnSearch";
                        settings.Text = "Search";
                        settings.UseSubmitBehavior = false;
                        settings.Width = 80;
                        settings.ClientSideEvents.Click = "search";
                    }
                ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnClear";
                        settings.Text = "Clear";
                        settings.UseSubmitBehavior = false;
                        settings.Width = 80;
                        settings.ClientSideEvents.Click = "clear";
                    }
                ).GetHtml()

                </td>
            </tr>
        </table>
    </div>


